import { EventEmitter } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { ConfirmationMessage } from './confirmation-message';
import { ConfirmationAcknowledgement } from './confirmation-state-message';
import { ConfirmationButtons } from '../shared/shared.const';
import { BatchInfo } from './confirmation-batch-message';
export declare class ConfirmationDialogComponent {
    private translate;
    opened: boolean;
    dialogTitle: string;
    dialogContent: string;
    message: ConfirmationMessage;
    buttons: ConfirmationButtons;
    confirmAction: EventEmitter<ConfirmationAcknowledgement>;
    cancelAction: EventEmitter<ConfirmationAcknowledgement>;
    isDelete: boolean;
    constructor(translate: TranslateService);
    open(msg: ConfirmationMessage): void;
    colorChange(list: BatchInfo): "green" | "red" | "#666";
    toggleErrorTitle(errorSpan: any): void;
    close(): void;
    cancel(): void;
    confirm(): void;
}
