import { EventEmitter, AfterViewChecked, ChangeDetectorRef, OnDestroy } from "@angular/core";
import { NgForm } from "@angular/forms";
import { Subscription } from "rxjs/Subscription";
import { TranslateService } from "@ngx-translate/core";
import { EndpointService } from "../service/endpoint.service";
import { ErrorHandler } from "../error-handler/index";
import { InlineAlertComponent } from "../inline-alert/inline-alert.component";
import { Endpoint } from "../service/interface";
export declare class CreateEditEndpointComponent implements AfterViewChecked, OnDestroy {
    private endpointService;
    private errorHandler;
    private translateService;
    private ref;
    modalTitle: string;
    createEditDestinationOpened: boolean;
    staticBackdrop: boolean;
    closable: boolean;
    editable: boolean;
    target: Endpoint;
    initVal: Endpoint;
    targetForm: NgForm;
    currentForm: NgForm;
    testOngoing: boolean;
    onGoing: boolean;
    endpointId: number | string;
    inlineAlert: InlineAlertComponent;
    reload: EventEmitter<boolean>;
    timerHandler: any;
    valueChangesSub: Subscription;
    formValues: {
        [key: string]: string;
    } | any;
    constructor(endpointService: EndpointService, errorHandler: ErrorHandler, translateService: TranslateService, ref: ChangeDetectorRef);
    readonly isValid: boolean;
    readonly inProgress: boolean;
    setInsecureValue($event: any): void;
    ngOnDestroy(): void;
    initEndpoint(): Endpoint;
    open(): void;
    close(): void;
    reset(): void;
    forceRefreshView(duration: number): void;
    openCreateEditTarget(editable: boolean, targetId?: number | string): void;
    testConnection(): void;
    onSubmit(): void;
    addEndpoint(): void;
    updateEndpoint(): void;
    handleErrorMessageKey(status: number): string;
    onCancel(): void;
    confirmCancel(confirmed: boolean): void;
    ngAfterViewChecked(): void;
    getChanges(): {
        [key: string]: any | any[];
    };
}
