import { OnInit, OnDestroy, ChangeDetectorRef } from "@angular/core";
import { Subscription } from "rxjs/Subscription";
import "rxjs/add/observable/forkJoin";
import { TranslateService } from "@ngx-translate/core";
import { Comparator } from "clarity-angular";
import { Endpoint } from "../service/interface";
import { EndpointService } from "../service/endpoint.service";
import { ErrorHandler } from "../error-handler/index";
import { ConfirmationAcknowledgement } from "../confirmation-dialog/confirmation-state-message";
import { ConfirmationDialogComponent } from "../confirmation-dialog/confirmation-dialog.component";
import { CreateEditEndpointComponent } from "../create-edit-endpoint/create-edit-endpoint.component";
import { OperationService } from "../operation/operation.service";
export declare class EndpointComponent implements OnInit, OnDestroy {
    private endpointService;
    private errorHandler;
    private translateService;
    private operationService;
    private ref;
    createEditEndpointComponent: CreateEditEndpointComponent;
    confirmationDialogComponent: ConfirmationDialogComponent;
    targets: Endpoint[];
    target: Endpoint;
    targetName: string;
    subscription: Subscription;
    loading: boolean;
    creationTimeComparator: Comparator<Endpoint>;
    timerHandler: any;
    selectedRow: Endpoint[];
    readonly initEndpoint: Endpoint;
    constructor(endpointService: EndpointService, errorHandler: ErrorHandler, translateService: TranslateService, operationService: OperationService, ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    selectedChange(): void;
    retrieve(): void;
    doSearchTargets(targetName: string): void;
    refreshTargets(): void;
    reload($event: any): void;
    openModal(): void;
    editTargets(targets: Endpoint[]): void;
    deleteTargets(targets: Endpoint[]): void;
    confirmDeletion(message: ConfirmationAcknowledgement): void;
    delOperate(target: Endpoint): Promise<void>;
    forceRefreshView(duration: number): void;
}
