/**
 * Declare interface for error handling
 *
 * @export
 * @abstract
 * @class ErrorHandler
 */
export declare abstract class ErrorHandler {
    /**
     * Send message with error level
     *
     * @abstract
     * @param {*} error
     *
     * @memberOf ErrorHandler
     */
    abstract error(error: any): void;
    /**
     * Send message with warning level
     *
     * @abstract
     * @param {*} warning
     *
     * @memberOf ErrorHandler
     */
    abstract warning(warning: any): void;
    /**
     * Send message with info level
     *
     * @abstract
     * @param {*} info
     *
     * @memberOf ErrorHandler
     */
    abstract info(info: any): void;
    /**
     * Handle log message
     *
     * @abstract
     * @param {*} log
     *
     * @memberOf ErrorHandler
     */
    abstract log(log: any): void;
}
export declare class DefaultErrorHandler extends ErrorHandler {
    error(error: any): void;
    warning(warning: any): void;
    info(info: any): void;
    log(log: any): void;
}
