import { ModuleWithProviders, Provider } from '@angular/core';
import { IServiceConfig } from './service.config';
import { TranslateServiceInitializer } from './i18n/index';
/**
 * Declare default service configuration; all the endpoints will be defined in
 * this default configuration.
 */
export declare const DefaultServiceConfig: IServiceConfig;
/**
 * Define the configuration for harbor shareable module
 *
 * @export
 * @interface HarborModuleConfig
 */
export interface HarborModuleConfig {
    config?: Provider;
    errorHandler?: Provider;
    systemInfoService?: Provider;
    logService?: Provider;
    endpointService?: Provider;
    replicationService?: Provider;
    repositoryService?: Provider;
    tagService?: Provider;
    scanningService?: Provider;
    configService?: Provider;
    jobLogService?: Provider;
    projectPolicyService?: Provider;
    labelService?: Provider;
}
/**
 * @export
 * @param {AppConfigService} configService
 * @returns
 */
export declare function initConfig(translateInitializer: TranslateServiceInitializer, config: IServiceConfig): () => void;
export declare class HarborLibraryModule {
    static forRoot(config?: HarborModuleConfig): ModuleWithProviders;
    static forChild(config?: HarborModuleConfig): ModuleWithProviders;
}
