import { OnInit, EventEmitter, ChangeDetectorRef, OnChanges, SimpleChanges } from "@angular/core";
import "rxjs/add/observable/forkJoin";
import { Comparator } from "clarity-angular";
import { TranslateService } from "@ngx-translate/core";
import { ReplicationService } from "../service/replication.service";
import { ReplicationRule } from "../service/interface";
import { ConfirmationDialogComponent } from "../confirmation-dialog/confirmation-dialog.component";
import { ConfirmationAcknowledgement } from "../confirmation-dialog/confirmation-state-message";
import { ErrorHandler } from "../error-handler/error-handler";
import { OperationService } from "../operation/operation.service";
export declare class ListReplicationRuleComponent implements OnInit, OnChanges {
    private replicationService;
    private translateService;
    private errorHandler;
    private operationService;
    private ref;
    nullTime: string;
    projectId: number;
    isSystemAdmin: boolean;
    selectedId: number | string;
    withReplicationJob: boolean;
    loading: boolean;
    reload: EventEmitter<boolean>;
    selectOne: EventEmitter<ReplicationRule>;
    editOne: EventEmitter<ReplicationRule>;
    toggleOne: EventEmitter<ReplicationRule>;
    hideJobs: EventEmitter<any>;
    redirect: EventEmitter<ReplicationRule>;
    openNewRule: EventEmitter<any>;
    replicateManual: EventEmitter<ReplicationRule[]>;
    projectScope: boolean;
    rules: ReplicationRule[];
    changedRules: ReplicationRule[];
    ruleName: string;
    canDeleteRule: boolean;
    selectedRow: ReplicationRule;
    toggleConfirmDialog: ConfirmationDialogComponent;
    deletionConfirmDialog: ConfirmationDialogComponent;
    startTimeComparator: Comparator<ReplicationRule>;
    enabledComparator: Comparator<ReplicationRule>;
    constructor(replicationService: ReplicationService, translateService: TranslateService, errorHandler: ErrorHandler, operationService: OperationService, ref: ChangeDetectorRef);
    trancatedDescription(desc: string): string;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    retrieveRules(ruleName?: string): void;
    replicateRule(rules: ReplicationRule[]): void;
    deletionConfirm(message: ConfirmationAcknowledgement): void;
    selectRule(rule: ReplicationRule): void;
    redirectTo(rule: ReplicationRule): void;
    openModal(): void;
    editRule(rule: ReplicationRule): void;
    jobList(id: string | number): Promise<void>;
    deleteRule(rule: ReplicationRule): void;
    deleteOpe(rule: ReplicationRule): void;
    delOperate(rule: ReplicationRule): Promise<any>;
}
