import { OnInit, ChangeDetectorRef, EventEmitter, OnChanges, SimpleChanges } from "@angular/core";
import { Router } from "@angular/router";
import "rxjs/add/observable/forkJoin";
import { TranslateService } from "@ngx-translate/core";
import { Comparator, State } from "clarity-angular";
import { SystemInfo, SystemInfoService, RepositoryService, RepositoryItem, TagService } from '../service/index';
import { ErrorHandler } from '../error-handler/error-handler';
import { ConfirmationButtons } from '../shared/shared.const';
import { ConfirmationDialogComponent } from '../confirmation-dialog/confirmation-dialog.component';
import { ConfirmationAcknowledgement } from '../confirmation-dialog/confirmation-state-message';
import { GridViewComponent } from '../gridview/grid-view.component';
import { OperationService } from "../operation/operation.service";
export declare class RepositoryGridviewComponent implements OnChanges, OnInit {
    private errorHandler;
    private translateService;
    private repositoryService;
    private systemInfoService;
    private tagService;
    private operationService;
    private ref;
    private router;
    signedCon: {
        [key: string]: any | string[];
    };
    projectId: number;
    projectName: string;
    urlPrefix: string;
    hasSignedIn: boolean;
    hasProjectAdminRole: boolean;
    mode: string;
    repoClickEvent: EventEmitter<RepositoryItem>;
    repoProvisionEvent: EventEmitter<RepositoryItem>;
    addInfoEvent: EventEmitter<RepositoryItem>;
    lastFilteredRepoName: string;
    repositories: RepositoryItem[];
    repositoriesCopy: RepositoryItem[];
    systemInfo: SystemInfo;
    selectedRow: RepositoryItem[];
    loading: boolean;
    isCardView: boolean;
    cardHover: boolean;
    listHover: boolean;
    pullCountComparator: Comparator<RepositoryItem>;
    tagsCountComparator: Comparator<RepositoryItem>;
    pageSize: number;
    currentPage: number;
    totalCount: number;
    currentState: State;
    confirmationDialog: ConfirmationDialogComponent;
    gridView: GridViewComponent;
    constructor(errorHandler: ErrorHandler, translateService: TranslateService, repositoryService: RepositoryService, systemInfoService: SystemInfoService, tagService: TagService, operationService: OperationService, ref: ChangeDetectorRef, router: Router);
    readonly registryUrl: string;
    readonly withClair: boolean;
    readonly isClairDBReady: boolean;
    readonly withAdmiral: boolean;
    readonly showDBStatusWarning: boolean;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    confirmDeletion(message: ConfirmationAcknowledgement): void;
    delOperate(repo: RepositoryItem): Promise<void>;
    doSearchRepoNames(repoName: string): void;
    saveSignatures(event: {
        [key: string]: string[];
    }): void;
    deleteRepos(repoLists: RepositoryItem[]): void;
    getTagInfo(repoName: string): Promise<void>;
    confirmationDialogSet(summaryTitle: string, signature: string, repoName: string, repoLists: RepositoryItem[], summaryKey: string, button: ConfirmationButtons): void;
    containsLatestTag(repo: RepositoryItem): Promise<boolean>;
    provisionItemEvent(evt: any, repo: RepositoryItem): void;
    itemAddInfoEvent(evt: any, repo: RepositoryItem): void;
    deleteItemEvent(evt: any, item: RepositoryItem): void;
    selectedChange(): void;
    refresh(): void;
    loadNextPage(): void;
    clrLoad(state: State): void;
    getStateAfterDeletion(): State;
    watchRepoClickEvt(repo: RepositoryItem): void;
    getImgLink(repo: RepositoryItem): string;
    getRepoDescrition(repo: RepositoryItem): string;
    showCard(cardView: boolean): void;
    mouseEnter(itemName: string): void;
    mouseLeave(itemName: string): void;
    isHovering(itemName: string): boolean;
}
