import { OnInit, EventEmitter } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { State } from 'clarity-angular';
import { RepositoryService } from '../service/repository.service';
import { RepositoryItem, TagClickEvent, SystemInfo, SystemInfoService, TagService } from '../service/index';
import { ErrorHandler } from '../error-handler/index';
import { ConfirmationDialogComponent, ConfirmationAcknowledgement } from '../confirmation-dialog/index';
export declare class RepositoryComponent implements OnInit {
    private errorHandler;
    private repositoryService;
    private systemInfoService;
    private tagService;
    private translate;
    signedCon: {
        [key: string]: any | string[];
    };
    projectId: number;
    repoName: string;
    hasSignedIn: boolean;
    hasProjectAdminRole: boolean;
    isGuest: boolean;
    tagClickEvent: EventEmitter<TagClickEvent>;
    backEvt: EventEmitter<any>;
    onGoing: boolean;
    editing: boolean;
    inProgress: boolean;
    currentTabID: string;
    changedRepositories: RepositoryItem[];
    systemInfo: SystemInfo;
    imageInfo: string;
    orgImageInfo: string;
    timerHandler: any;
    confirmationDlg: ConfirmationDialogComponent;
    constructor(errorHandler: ErrorHandler, repositoryService: RepositoryService, systemInfoService: SystemInfoService, tagService: TagService, translate: TranslateService);
    readonly registryUrl: string;
    readonly withNotary: boolean;
    readonly withClair: boolean;
    readonly withAdmiral: boolean;
    ngOnInit(): void;
    retrieve(state?: State): void;
    saveSignatures(event: {
        [key: string]: string[];
    }): void;
    refresh(): void;
    watchTagClickEvt(tagClickEvt: TagClickEvent): void;
    isCurrentTabLink(tabID: string): boolean;
    isCurrentTabContent(ContentID: string): boolean;
    tabLinkClick(tabID: string): void;
    getTagInfo(repoName: string): Promise<void>;
    goBack(): void;
    hasChanges(): boolean;
    reset(): void;
    hasInfo(): boolean;
    editInfo(): void;
    saveInfo(): void;
    cancelInfo(): void;
    confirmCancel(ack: ConfirmationAcknowledgement): void;
}
