import { OnInit, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { Subscription } from 'rxjs/Rx';
import "rxjs/add/observable/timer";
import { VulnerabilitySummary, TagService, ScanningResultService } from '../service/index';
import { ErrorHandler } from '../error-handler/index';
import { ChannelService } from '../channel/index';
import { JobLogViewerComponent } from '../job-log-viewer/index';
export declare class ResultBarChartComponent implements OnInit, OnDestroy {
    private tagService;
    private scanningService;
    private errorHandler;
    private channel;
    private ref;
    repoName: string;
    tagId: string;
    summary: VulnerabilitySummary;
    onSubmitting: boolean;
    retryCounter: number;
    stateCheckTimer: Subscription;
    scanSubscription: Subscription;
    timerHandler: any;
    scanningJobLogViewer: JobLogViewerComponent;
    constructor(tagService: TagService, scanningService: ScanningResultService, errorHandler: ErrorHandler, channel: ChannelService, ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    readonly status: string;
    readonly completed: boolean;
    readonly error: boolean;
    readonly queued: boolean;
    readonly scanning: boolean;
    readonly stopped: boolean;
    readonly unknown: boolean;
    scanNow(): void;
    getSummary(): void;
    copyValue(newVal: VulnerabilitySummary): void;
    forceRefreshView(duration: number): void;
    viewLog(): void;
}
